<?php

namespace App\Services\Equipment\Link;

use CodeIgniter\HTTP\IncomingRequest;

use App\Entities\Equipment\Link\RamEntity;
use App\Models\Equipment\Link\RamModel;
use App\Services\Equipment\Part\RamService as PartService;

class RamService extends LinkService
{
    protected ?IncomingRequest $request = null;
    public function __construct(?IncomingRequest $request = null)
    {
        parent::__construct($request);
        $this->addClassName('Ram');
    }
    public function getModelClass(): RamModel
    {
        return new RamModel();
    }
    public function getEntityClass(): RamEntity
    {
        return new RamEntity();
    }
    protected function getPartService(): PartService
    {
        return new PartService();
    }

    public function getFields(): array
    {
        return [
            "serverinfo_uid",
            "raminfo_uid",
        ];
    }

    public function getFilterFields(): array
    {
        return ["serverinfo_uid", "raminfo_uid"];
    }
    public function getBatchJobFields(): array
    {
        return [];
    }
}
